| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/blockallocator.h File Reference

Generic Memory Block Allocator. More...

`#include "csutil/fixedsizeallocator.h"`
`#include "csutil/custom_new_disable.h"`
`#include "csutil/custom_new_enable.h"`

Go to the source code of this file.

## Classes
class | csBlockAllocator< T, Allocator, ObjectDispose >
| This class implements a memory allocator which can efficiently allocate objects that all have the same size. More...
class | csBlockAllocatorDisposeDelete< T >
| Block allocator disposal mixin that just destructs an instance. More...
class | csBlockAllocatorDisposeLeaky< T >
| Block allocator disposal mixin that destructs, unless upon final cleanup, where a warning is emitted stating that objects leaked. More...

## Detailed Description

Generic Memory Block Allocator.

Definition in file blockallocator.h.